Main Page | Class List | File List | Class Members | File Members | Related Pages

# /home/src/PHP-JAVA-BRIDGE/PHP5/php-java-bridge/java_bridge.c File Reference

`#include <stdlib.h>`
`#include "php_java.h"`
`#include "java_bridge.h"`
`#include <stdio.h>`
`#include <string.h>`

## Functions
int | get_jobject_from_object (pval *object, long *obj TSRMLS_DC)
void | result (pval *arg, short ignoreNonJava, pval *presult TSRMLS_DC)
void | invoke (char *name, long object, int arg_count, zval **arguments, short ignoreNonJava, pval *presult TSRMLS_DC)
void | call_function_handler (INTERNAL_FUNCTION_PARAMETERS, char *name, enum constructor constructor, short createInstance, pval *object, int arg_count, zval **arguments)
short | get_property_handler (char *name, zval *object, zval *presult)
| get_property_handler
short | set_property_handler (char *name, zval *object, zval *value, zval *presult)
| set_property_handler

## Function Documentation

void call_function_handler | ( | INTERNAL_FUNCTION_PARAMETERS | ,
|  | char * | name,
|  | enum constructor | constructor,
|  | short | createInstance,
|  | pval * | object,
|  | int | arg_count,
|  | zval ** | arguments
| ) |

int get_jobject_from_object | ( | pval * | object,
|  | long *obj | TSRMLS_DC
| ) |

short get_property_handler | ( | char * | name,
|  | zval * | object,
|  | zval * | presult
| ) |

| get_property_handler

void invoke | ( | char * | name,
|  | long | object,
|  | int | arg_count,
|  | zval ** | arguments,
|  | short | ignoreNonJava,
|  | pval *presult | TSRMLS_DC
| ) |

void result | ( | pval * | arg,
|  | short | ignoreNonJava,
|  | pval *presult | TSRMLS_DC
| ) |

short set_property_handler | ( | char * | name,
|  | zval * | object,
|  | zval * | value,
|  | zval * | presult
| ) |

| set_property_handler